package org.jeecg.modules.api.yaoduapi;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.api.service.WebApiService;
import org.jeecg.modules.api.service.YaoDuApiService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="铝材交易接口 - 不需要token")
@RestController
@RequestMapping("/city")
@Slf4j
public class YaoDuApiController {

    @Resource
    private YaoDuApiService yaoDuApiService;


    //获取城市列表服务区域
    @ApiOperation(value="获取城市列表服务区域")
    @GetMapping(value = "/getCityList")
    public Result<?> getCityList() {
        return yaoDuApiService.getCityList();
    }


    //获取banner列表
    @ApiOperation(value="获取banner列表")
    @GetMapping(value = "/getBannerList")
    public Result<?> getBannerList() {
        return yaoDuApiService.getBannerList();
    }


    //获取首页头部信息
    @ApiOperation(value="获取首页头部信息")
    @GetMapping(value = "/getIndexHeaderInfo")
    public Result<?> getIndexHeaderInfo() {
        return yaoDuApiService.getIndexHeaderInfo();
    }


    //获取分类类型列表
    @ApiOperation(value="获取分类类型列表")
    @GetMapping(value = "/getClassifyList")
    public Result<?> getClassifyList() {
        return yaoDuApiService.getClassifyList();
    }


    //获取分类
    @ApiOperation(value="获取分类")
    @GetMapping(value = "/getClassInfo")
    public Result<?> getClassInfo() {
        return yaoDuApiService.getClassInfo();
    }


    //根据分类获取动态帖子列表带分页
    @ApiOperation(value="根据分类获取动态帖子列表带分页")
    @GetMapping(value = "/getPostPage")
    public Result<?> getPostPage(PageBean pageBean) {
        return yaoDuApiService.getPostPage(pageBean);
    }


    //根据分类获取租房信息列表带分页带搜索
    @ApiOperation(value="根据分类获取租房信息列表")
    @GetMapping(value = "/getRentPage")
    public Result<?> getRentPage(PageBean pageBean) {
        return yaoDuApiService.getRentPage(pageBean);
    }



    //根据分类获取工作信息列表带分页带搜索
    @ApiOperation(value="根据分类获取工作信息列表")
    @GetMapping(value = "/getJobPage")
    public Result<?> getJobPage(PageBean pageBean) {
        return yaoDuApiService.getJobPage(pageBean);
    }



    //根据分类获取门店信息列表带分页带搜索
    @ApiOperation(value="根据分类获取门店信息列表")
    @GetMapping(value = "/getStorePage")
    public Result<?> getStorePage(PageBean pageBean) {
        return yaoDuApiService.getStorePage(pageBean);
    }


    //获取活动列表信息
    @ApiOperation(value="获取活动列表信息")
    @GetMapping(value = "/getActivityPage")
    public Result<?> getActivityPage(PageBean pageBean) {
        return yaoDuApiService.getActivityPage(pageBean);
    }


}
